@use '../../../../styles/helpers/breakpoints';

:host {
  display: block;
  width: 100%;
}

@mixin results-list {
  $gap: 0.5rem;

  display: flex;
  flex-direction: column;
  row-gap: $gap;

  margin-top: $gap;
}

.simple-search-overlay {
  padding: 16px;

  color: var(-mat-sys-on-primary-fixed);
  background-color: var(--mat-sys-surface-container-low);

  @include breakpoints.sm {
    border-radius: 0.25rem;
  }

  .search-bar-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    column-gap: 0.5rem;

    .search-bar {
      width: 100%;

      mat-form-field {
        width: 100%;
      }
    }
  }

  .placeholder-results {
    @include results-list();
  }

  .search-results {
    @include results-list();

    &__item {
      cursor: pointer;
      border-radius: 0.25rem;
      padding: 0.375rem;

      background-color: var(--mat-sys-surface-container-high);
      transition: background 0.1s ease-out;

      &:hover {
        background-color: var(--mat-sys-surface-container-highest);
      }
    }

    &__empty {
      margin: 0;
      font: var(--mat-sys-title-large);
    }
  }
}
